Bug 240864 - server can fail to re-sync mirror leaving it at 0.00%
server can fail to re-sync mirror leaving it at 0.00%
Status: CLOSED WORKSFORME
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 10:44 EDT by Corey Marthaler
Modified: 2010-01-11 21:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-01 10:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-05-22 10:44:24 EDT
Description of problem:

This is after a reboot...
[root@link-02 ~]# lvs -a -o +devices
  LV                VG         Attr   LSize  Origin Snap%  Move Log Copy% 
Devices                
  LogVol00          VolGroup00 -wi-ao 35.19G                              
/dev/hda2(0)           
  LogVol01          VolGroup00 -wi-ao  1.94G                              
/dev/hda2(1126)        
  vness1            vness1     mwi-a- 10.00G                          0.00
vness1_mimage_0(0),vness1_mimage_1(0),vness1_mimage_2(0)
  [vness1_mimage_0] vness1     iwi-ao 10.00G                                   
                  
  [vness1_mimage_1] vness1     iwi-ao 10.00G                              
/dev/sda1(0)           
  [vness1_mimage_2] vness1     iwi-ao 10.00G                              
/dev/sdd1(0)           
  vness2            vness2     mwi-a- 10.00G                          6.09
vness2_mimage_0(0),vness2_mimage_1(0),vness2_mimage_2(0)
  [vness2_mimage_0] vness2     iwi-ao 10.00G                              
/dev/sdh2(0)           
  [vness2_mimage_1] vness2     iwi-ao 10.00G                              
/dev/sdb1(0)           
  [vness2_mimage_2] vness2     iwi-ao 10.00G                              
/dev/sde1(0)           
  vness3            vness3     mwi-a- 10.00G                          6.02
vness3_mimage_0(0),vness3_mimage_1(0),vness3_mimage_2(0)
  [vness3_mimage_0] vness3     iwi-ao 10.00G                              
/dev/sdh3(0)           
  [vness3_mimage_1] vness3     iwi-ao 10.00G                              
/dev/sdc1(0)           
  [vness3_mimage_2] vness3     iwi-ao 10.00G                              
/dev/sdf1(0)           


[root@link-02 ~]# lvs -a -o +devices
  LV                VG         Attr   LSize  Origin Snap%  Move Log Copy% 
Devices                
  LogVol00          VolGroup00 -wi-ao 35.19G                              
/dev/hda2(0)           
  LogVol01          VolGroup00 -wi-ao  1.94G                              
/dev/hda2(1126)        
  vness1            vness1     mwi-a- 10.00G                          0.00
vness1_mimage_0(0),vness1_mimage_1(0),vness1_mimage_2(0)
  [vness1_mimage_0] vness1     iwi-ao 10.00G                                   
                  
  [vness1_mimage_1] vness1     iwi-ao 10.00G                              
/dev/sda1(0)           
  [vness1_mimage_2] vness1     iwi-ao 10.00G                              
/dev/sdd1(0)           
  vness2            vness2     mwi-a- 10.00G                        100.00
vness2_mimage_0(0),vness2_mimage_1(0),vness2_mimage_2(0)
  [vness2_mimage_0] vness2     iwi-ao 10.00G                              
/dev/sdh2(0)           
  [vness2_mimage_1] vness2     iwi-ao 10.00G                              
/dev/sdb1(0)           
  [vness2_mimage_2] vness2     iwi-ao 10.00G                              
/dev/sde1(0)           
  vness3            vness3     mwi-a- 10.00G                        100.00
vness3_mimage_0(0),vness3_mimage_1(0),vness3_mimage_2(0)
  [vness3_mimage_0] vness3     iwi-ao 10.00G                              
/dev/sdh3(0)           
  [vness3_mimage_1] vness3     iwi-ao 10.00G                              
/dev/sdc1(0)           
  [vness3_mimage_2] vness3     iwi-ao 10.00G                              
/dev/sdf1(0)           


Version-Release number of selected component (if applicable):
2.6.9-55.ELlargesmp

May 21 15:56:17 link-07 kernel: dm_cmirror: no version for
"kcl_register_service" found: kernel tainted.
May 21 15:56:17 link-07 kernel: dm-cmirror: dm-cmirror 0.2.0 (built May 21 2007
14:28:28) installed
Comment 1 Corey Marthaler 2008-07-01 10:46:17 EDT
Closing out this bug. There are other (more updated bzs) that deal with sync
reporting issues.

Note You need to log in before you can comment on or make changes to this bug.